Modify

Opened 5 years ago

Closed 5 years ago

#12729 closed defect (fixed)

Linux version 3.7.1 - ADM5120 - rb133 - WARNING: at drivers/amba/bus.c:479

Reported by: anonymous Owned by: florian
Priority: low Milestone: Chaos Calmer 15.05
Component: kernel Version: Trunk
Keywords: Cc:

Description

There is small issue with kernel 3.7.1 for routerboard 133

loading kernel from nand... OK
setting up elf image... OK
jumping to kernel code
[    0.000000] Linux version 3.7.1 () (gcc version 4.6.4 20121106 (prerelease) (Linaro GCC 4.6-2012.11) ) #1 Thu Jan 3 08:18:42 CET 2013
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0001800b (MIPS 4Kc)
[    0.000000] SoC      : ADM5120 rev 8, running at 175.000 MHz
[    0.000000] Bootdev  : NAND flash
[    0.000000] Prom     : RouterBOOT
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x03ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x03ffffff]
[    0.000000] Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line:  console=ttyAM0,115200 rootfstype=yaffs2
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Memory: 62180k/65536k available (2002k kernel code, 3356k reserved, 357k data, 196k init, 0k highmem)
[    0.000000] NR_IRQS:24
[    0.000000] Calibrating delay loop... 173.05 BogoMIPS (lpj=346112)
[    0.040000] pid_max: default: 32768 minimum: 301
[    0.044000] Mount-cache hash table entries: 512
[    0.060000] NET: Registered protocol family 16
[    0.076000] MIPS: machine is Mikrotik RouterBOARD 133
[    0.080000] ------------[ cut here ]------------
[    0.084000] WARNING: at drivers/amba/bus.c:479 0x8011f53c()
[    0.088000] Modules linked in:
[    0.088000] Call Trace:[<801f1048>] 0x801f1048
[    0.092000] [<801f1048>] 0x801f1048
[    0.096000] [<80011124>] 0x80011124
[    0.096000] [<8011f53c>] 0x8011f53c
[    0.100000] [<80011168>] 0x80011168
[    0.100000] [<8011f280>] 0x8011f280
[    0.104000] [<8011f53c>] 0x8011f53c
[    0.104000] [<8011f714>] 0x8011f714
[    0.108000] [<80251268>] 0x80251268
[    0.108000] [<80251da0>] 0x80251da0
[    0.112000] [<80251268>] 0x80251268
[    0.112000] [<80251ea4>] 0x80251ea4
[    0.116000] [<80251280>] 0x80251280
[    0.116000] [<80001500>] 0x80001500
[    0.120000] [<8025f2c0>] 0x8025f2c0
[    0.120000] [<801edb3c>] 0x801edb3c
[    0.124000] [<8024f210>] 0x8024f210
[    0.124000] [<80004270>] 0x80004270
[    0.128000] [<801eda00>] 0x801eda00
[    0.128000] [<80004260>] 0x80004260
[    0.132000]
[    0.132000] ---[ end trace 4eaa2a86a8e2da22 ]---
[    0.136000] ------------[ cut here ]------------
[    0.140000] WARNING: at drivers/amba/bus.c:479 0x8011f53c()
[    0.144000] Modules linked in:
[    0.144000] Call Trace:[<801f1048>] 0x801f1048
[    0.148000] [<801f1048>] 0x801f1048
[    0.152000] [<80011124>] 0x80011124
[    0.152000] [<8011f53c>] 0x8011f53c
[    0.156000] [<80011168>] 0x80011168
[    0.156000] [<8011f280>] 0x8011f280
[    0.160000] [<8011f53c>] 0x8011f53c
[    0.160000] [<8011f714>] 0x8011f714
[    0.164000] [<80251268>] 0x80251268
[    0.164000] [<80251da8>] 0x80251da8
[    0.168000] [<80251268>] 0x80251268
[    0.168000] [<80251ea4>] 0x80251ea4
[    0.172000] [<80251280>] 0x80251280
[    0.172000] [<80001500>] 0x80001500
[    0.176000] [<8025f2c0>] 0x8025f2c0
[    0.176000] [<801edb3c>] 0x801edb3c
[    0.180000] [<8024f210>] 0x8024f210
[    0.180000] [<80004270>] 0x80004270
[    0.184000] [<801eda00>] 0x801eda00
[    0.184000] [<80004260>] 0x80004260
[    0.188000]
[    0.188000] ---[ end trace 4eaa2a86a8e2da23 ]---
[    0.200000] registering PCI controller with io_map_base unset
[    0.256000] bio: create slab <bio-0> at 0
[    0.268000] PCI host bridge to bus 0000:00
[    0.272000] pci_bus 0000:00: root bus resource [mem 0x11400000-0x114fffff]
[    0.276000] pci_bus 0000:00: root bus resource [io  0x11500000-0x115fffef]
[    0.280000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.292000] pci 0000:00:02.0: BAR 0: assigned [mem 0x11400000-0x1140ffff]
[    0.296000] pci 0000:00:03.0: BAR 0: assigned [mem 0x11410000-0x1141ffff]
[    0.300000] PCI: mapping irq for 0000:00:02.0 pin:1, irq:15
[    0.304000] PCI: mapping irq for 0000:00:03.0 pin:1, irq:16
[    0.312000] Switching to clocksource MIPS
[    0.336000] NET: Registered protocol family 2
[    0.344000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[    0.352000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[    0.360000] TCP: Hash tables configured (established 2048 bind 2048)
[    0.364000] TCP: reno registered
[    0.368000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.376000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.384000] NET: Registered protocol family 1
[    0.400000] msgmni has been set to 121
[    0.408000] io scheduler noop registered
[    0.412000] io scheduler deadline registered (default)
[    1.428000] Serial: AMBA driver
[    1.432000] apb:uart0: ttyAM0 at MMIO 0x12600000 (irq = 9) is a AMBA
[    1.436000] console [ttyAM0] enabled, bootconsole disabled
[    1.436000] console [ttyAM0] enabled, bootconsole disabled
[    1.452000] apb:uart1: ttyAM1 at MMIO 0x12800000 (irq = 10) is a AMBA
[    1.472000] adm5120-flash.0: probing at 0x1FC00000, size:128KiB, width:8 bits
[    1.480000] Found: PMC Pm39LV010
[    1.480000] adm5120-flash.0: Found 1 x8 devices at 0x0 in 8-bit bank
[    1.492000] number of JEDEC chips: 1
[    1.496000] adm5120-flash.0: found at 0x1FC00000, size:128KiB, width:8 bits
[    1.504000] Creating 2 MTD partitions on "adm5120-flash.0":
[    1.508000] 0x000000000000-0x000000010000 : "booter"
[    1.528000] 0x000000010000-0x000000020000 : "firmware"
[    1.544000] NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit), page size: 512, OOB size: 16
[    1.556000] Scanning device for bad blocks
[    1.780000] Creating 2 MTD partitions on "gen_nand":
[    1.788000] 0x000000000000-0x000000400000 : "kernel"
[    1.804000] 0x000000400000-0x000004000000 : "rootfs"
[    1.824000] mtd: partition "rootfs" set to be root filesystem
[    1.832000] ADM5120 built-in ethernet switch driver version 0.1.1
[    1.880000] adm5120_wdt: Watchdog Timer version 0.1
[    1.888000] TCP: cubic registered
[    1.892000] NET: Registered protocol family 17
[    1.896000] 8021q: 802.1Q VLAN Support v1.8
[    1.912000] yaffs: dev is 32505859 name is "mtdblock3" ro
[    1.920000] yaffs: passed flags ""
[    3.060000] VFS: Mounted root (yaffs2 filesystem) readonly on device 31:3.
[    3.068000] Freeing unused kernel memory: 196k freed
[   10.416000] Button Hotplug driver version 0.4.1
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
- init -

Attachments (0)

Change History (6)

comment:1 Changed 5 years ago by anonymous

Hi,

The issue is still seen in kernel 3.7.2

comment:2 Changed 5 years ago by florian

  • Owner changed from developers to florian
  • Status changed from new to accepted

This harmless, it just complains because of the trailing -1 here:

.irq            = { ADM5120_IRQ_UART0, -1 },

remove it and the warning will disappear.

comment:3 Changed 5 years ago by anonymous

I have changed in two files:
sudo vi ./build_dir/target-mipsel_uClibc-0.9.33.2/linux-adm5120_rb1xx/linux-3.7.4/arch/mips/adm5120/common/.svn/text-base/platform.c.svn-base
sudo vi ./build_dir/target-mipsel_uClibc-0.9.33.2/linux-adm5120_rb1xx/linux-3.7.4/arch/mips/adm5120/common/platform.c

[    0.072000] MIPS: machine is Mikrotik RouterBOARD 133
[    0.076000] ------------[ cut here ]------------
[    0.080000] WARNING: at drivers/amba/bus.c:479 amba_device_add+0x64/0x21c()
[    0.084000] Modules linked in:
[    0.084000] Call Trace:
[    0.088000] [<801f9848>] dump_stack+0x8/0x34
[    0.092000] [<80011b14>] warn_slowpath_common+0x78/0xa4
[    0.096000] [<80011b58>] warn_slowpath_null+0x18/0x24
[    0.100000] [<801243ec>] amba_device_add+0x64/0x21c
[    0.104000] [<80281dac>] rb1xx_generic_setup+0x38/0xe4
[    0.108000] [<80281ea8>] rb133_setup+0x10/0x40
[    0.112000] [<80281284>] adm5120_board_setup+0x18/0x28
[    0.116000] [<80001500>] do_one_initcall+0xf0/0x1d0
[    0.120000] [<801f634c>] kernel_init+0x13c/0x2c4
[    0.124000] [<800043a4>] kernel_thread_helper+0x10/0x18
[    0.128000]
[    0.128000] ---[ end trace 4eaa2a86a8e2da22 ]---
[    0.140000] registering PCI controller with io_map_base unset

And now the warning is only once so probably I need to find more files where it should be removed

comment:4 Changed 5 years ago by florian

There are *two* UART devices, so you should change both line 203 *and* 221 of common/platform.c

comment:5 Changed 5 years ago by anonymous

Hi,
I have removed only "-1" from both line:".irq = { ADM5120_IRQ_UART0, -1 }," so it looks like ".irq = { ADM5120_IRQ_UART0, },". It will clear the issue. Therefore file platform.c should be modified.

Press any key within 2 seconds to enter setup..
loading kernel from nand... OK
setting up elf image... OK
jumping to kernel code
[    0.000000] Linux version 3.7.9 (kofec@DomStacjonarny) (gcc version 4.6.4 20121210 (prerelease) (Linaro GCC 4.6-2012.12) ) #3 Wed Feb 20 23:33:18 CET 2013
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 0001800b (MIPS 4Kc)
[    0.000000] SoC      : ADM5120 rev 8, running at 175.000 MHz
[    0.000000] Bootdev  : NAND flash
[    0.000000] Prom     : RouterBOOT
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone ranges:
[    0.000000]   Normal   [mem 0x00000000-0x01ffffff]
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x01ffffff]
[    0.000000] Primary instruction cache 8kB, VIPT, 2-way, linesize 16 bytes.
[    0.000000] Primary data cache 8kB, 2-way, VIPT, no aliases, linesize 16 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  console=ttyAM0,115200 rootfstype=yaffs2
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] __ex_table already sorted, skipping sort
[    0.000000] Memory: 29564k/32768k available (1988k kernel code, 3204k reserved, 505k data, 188k init, 0k highmem)
[    0.000000] NR_IRQS:24
[    0.000000] Calibrating delay loop... 173.05 BogoMIPS (lpj=346112)
[    0.036000] pid_max: default: 32768 minimum: 301
[    0.040000] Mount-cache hash table entries: 512
[    0.052000] NET: Registered protocol family 16
[    0.068000] MIPS: machine is Mikrotik RouterBOARD 133
[    0.084000] registering PCI controller with io_map_base unset
[    0.140000] bio: create slab <bio-0> at 0
[    0.152000] PCI host bridge to bus 0000:00
[    0.156000] pci_bus 0000:00: root bus resource [mem 0x11400000-0x114fffff]
[    0.160000] pci_bus 0000:00: root bus resource [io  0x11500000-0x115fffef]
[    0.164000] pci_bus 0000:00: No busn resource found for root bus, will use [bus 00-ff]
[    0.172000] pci 0000:00:01.0: BAR 0: assigned [mem 0x11400000-0x1140ffff]
[    0.176000] PCI: mapping irq for 0000:00:01.0 pin:1, irq:14
[    0.184000] Switching to clocksource MIPS
[    0.208000] NET: Registered protocol family 2
[    0.216000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.224000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.232000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.236000] TCP: reno registered
[    0.240000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.248000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.252000] NET: Registered protocol family 1
[    0.272000] msgmni has been set to 57
[    0.276000] io scheduler noop registered
[    0.280000] io scheduler deadline registered (default)
[    1.272000] Serial: AMBA driver
[    1.276000] apb:uart0: ttyAM0 at MMIO 0x12600000 (irq = 9) is a AMBA
[    1.284000] console [ttyAM0] enabled, bootconsole disabled
[    1.284000] console [ttyAM0] enabled, bootconsole disabled
[    1.296000] apb:uart1: ttyAM1 at MMIO 0x12800000 (irq = 10) is a AMBA
[    1.316000] adm5120-flash.0: probing at 0x1FC00000, size:128KiB, width:8 bits
[    1.324000] Found: PMC Pm39LV010
[    1.328000] adm5120-flash.0: Found 1 x8 devices at 0x0 in 8-bit bank
[    1.336000] number of JEDEC chips: 1
[    1.340000] adm5120-flash.0: found at 0x1FC00000, size:128KiB, width:8 bits
[    1.348000] Creating 2 MTD partitions on "adm5120-flash.0":
[    1.356000] 0x000000000000-0x000000010000 : "booter"
[    1.372000] 0x000000010000-0x000000020000 : "firmware"
[    1.388000] NAND device: Manufacturer ID: 0xad, Chip ID: 0x76 (Hynix NAND 64MiB 3,3V 8-bit), page size: 512, OOB size: 16
[    1.400000] Scanning device for bad blocks
[    1.656000] Creating 2 MTD partitions on "gen_nand":
[    1.664000] 0x000000000000-0x000000400000 : "kernel"
[    1.676000] 0x000000400000-0x000004000000 : "rootfs"
[    1.696000] mtd: partition "rootfs" set to be root filesystem
[    1.704000] ADM5120 built-in ethernet switch driver version 0.1.1
[    1.748000] adm5120_wdt: Watchdog Timer version 0.1
[    1.756000] TCP: cubic registered
[    1.760000] NET: Registered protocol family 17
[    1.764000] 8021q: 802.1Q VLAN Support v1.8
[    1.784000] yaffs: dev is 32505859 name is "mtdblock3" ro
[    1.788000] yaffs: passed flags ""
[    3.640000] VFS: Mounted root (yaffs2 filesystem) readonly on device 31:3.
[    3.652000] Freeing unused kernel memory: 188k freed
[   11.204000] Button Hotplug driver version 0.4.1
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
- init -

Please press Enter to activate this console. [   17.860000] Compat-drivers backport release: compat-drivers-2013-01-08-3
[   17.868000] Backport based on wireless-testing.git master-2013-01-07
[   17.872000] compat.git: wireless-testing.git
[   18.100000] cfg80211: Calling CRDA to update world regulatory domain
[   18.104000] cfg80211: World regulatory domain updated:
[   18.112000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   18.120000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   18.128000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   18.136000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   18.144000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   18.152000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   18.980000] zsmalloc: module is from the staging directory, the quality is unknown, you have been warned.
[   19.072000] zram: module is from the staging directory, the quality is unknown, you have been warned.
[   19.084000] zram: num_devices not specified. Using default: 1
[   19.092000] zram: Creating 1 devices ...
[   19.744000] PCI: Enabling device 0000:00:01.0 (0000 -> 0002)
[   19.752000] ath5k 0000:00:01.0: registered as 'phy0'
[   20.600000] ath5k: phy0: Atheros AR5414 chip found (MAC: 0xa5, PHY: 0x61)
[   20.612000] cfg80211: Calling CRDA for country: US
[   20.616000] cfg80211: Regulatory domain changed to country: US
[   20.624000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   20.632000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   20.640000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   20.648000] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   20.656000] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   20.664000] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   20.672000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   21.620000] PPP generic driver version 2.4.2
[   22.064000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   22.832000] NET: Registered protocol family 24
[   22.968000] nf_conntrack version 0.5.0 (464 buckets, 1856 max)
[   24.988000] xt_time: kernel timezone is -0000
[   26.608000] u32 classifier
[   26.612000]     Performance counters on
[   26.616000]     input device check on
[   26.620000]     Actions configured
[   26.776000] Mirror/redirect action on
[   45.516000] device eth0 entered promiscuous mode
[   45.532000] br-lan: port 1(eth0) entered forwarding state
[   45.536000] br-lan: port 1(eth0) entered forwarding state
[   47.540000] br-lan: port 1(eth0) entered forwarding state



BusyBox v1.19.4 (2013-02-20 07:23:18 CET) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 BARRIER BREAKER (Bleeding Edge, r35706)
 -----------------------------------------------------
  * 1/2 oz Galliano         Pour all ingredients into
  * 4 oz cold Coffee        an irish coffee mug filled
  * 1 1/2 oz Dark Rum       with crushed ice. Stir.
  * 2 tsp. Creme de Cacao
 -----------------------------------------------------

comment:6 Changed 5 years ago by juhosg

  • Resolution set to fixed
  • Status changed from accepted to closed

Fixed in r35747. Thanks!

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.